<?php

require_once 'PEAR/PackageFileManager.php';

$version = '0.1.2';
$notes = <<<EOT
* Bugfix 5507
* created method _checkSequence that checks if a sequence exists
* moved all private fetch mode into _fixResultAraryValues
* net portability with MDB2_PORTABILITY_FIX_ASSOC_FIELD (to remove database/table qualifiers from assoc indexes)
* now using !empty instead of isset() to fetchRow
* getAfterId is no lastInsertId
* fixed some php4 breakage
* Fixed many typos.
* return 0 for manipulation queries when disable_query is enabled.
* Cosmetic fixes
* dropped_fields is handled by 'remove'
* using array_key_exist instaed of isset()
* structures of field add/remove/change in alterTable now match with MDB2_Schema
* bug fixes 5507
* renamed MDB2_PORTABILITY_LOWERCASE to MDB2_PORTABILITY_FIX_CASE and use 'field_case' option to determine if to upper- or lowercase (CASE_LOWER/CASE_UPPER)
* use getDBInstance()
* query() -> queryCol()
* native extends to MDB2_Module_Common
* reverse now uses TOP instead of LIMIT
* reverse fixed typos
* reverse uses getDBInstance()
* 
open todo items:
- added missing createIndex() method
EOT;

$package = new PEAR_PackageFileManager();

$result = $package->setOptions(
    array(
        'packagefile'       => 'package_mssql.xml',
        'package'           => 'MDB2_Driver_mssql',
        'summary'           => 'mssql MDB2 driver',
        'description'       => 'This is the Microsoft SQL Server MDB2 driver.',
        'version'           => $version,
        'state'             => 'alpha',
        'license'           => 'BSD License',
        'filelistgenerator' => 'cvs',
        'include'           => array('*mssql*'),
        'notes'             => $notes,
        'changelogoldtonew' => false,
        'simpleoutput'      => true,
        'baseinstalldir'    => '/',
        'packagedirectory'  => './',
        'dir_roles'         => array(
            'docs' => 'doc',
             'examples' => 'doc',
             'tests' => 'test',
             'tests/templates' => 'test',
        ),
    )
);

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}

$package->addMaintainer('davidc', 'lead', 'David Coallier', 'david@jaws.com.mx');
$package->addMaintainer('lsmith', 'lead', 'Lukas Kahwe Smith', 'smith@pooteeweet.org');

$package->addDependency('php', '4.3.0', 'ge', 'php', false);
$package->addDependency('PEAR', '1.0b1', 'ge', 'pkg', false);
$package->addDependency('MDB2', '2.0.0beta6', 'ge', 'pkg', false);
$package->addDependency('mssql', null, 'has', 'ext', false);

$package->addglobalreplacement('package-info', '@package_version@', 'version');

if (array_key_exists('make', $_GET) || (isset($_SERVER['argv'][1]) && $_SERVER['argv'][1] == 'make')) {
    $result = $package->writePackageFile();
} else {
    $result = $package->debugPackageFile();
}

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}
